Subject: Re: Help! 040 in A3000?
To: amiga@NetBSD.ORG, Port Amiga <port-amiga@NetBSD.ORG>
From: Geof Abruzzi <>
List: amiga
Date: 03/22/1996 08:40:18
If you want info on putting a 3640 in a 3000 go here:

It is fairly complete.


At 09:55 AM 3/21/96 -0800, you wrote:
>I have included the port-amiga list in this reply as I thought that the 
>amiga list was going away.  No?
>On Wed, 20 Mar 1996, Jack Bucchannan wrote:
>> With the recent aquisition of an 040 card for my A3000, I find myself
needing to
>> know the necessary upgrades I need to make to my machine in order to use this
>> card. The card is a rev. 3.1 A3640. If I remember correctly, Buster, and
>> need to be upgraded. What revisions are necessary? Any help appreciated, as
>> I can't wait to see what this thing does for X !!
>By coincidence, I am in a similar situation and have a few questions of 
>my own.  I'll tell you what I have found out thus far.  Anyone, please 
>feel free to correct me if I'm wrong or fill in the blanks as necessary.
>	1.)  The A3640 will NOT work with V36 boot ROMs
>	     (i.e. softkicked).  You need 2.04 or 3.x ROMs.
>	2.)  If you have V2.04 ROMs you need to have either:
>	     a.) Page mode RAM in (at least) Bank 0, OR
>	     b.) Upgraded Ramsey (to Rev. 7) and DMAC (to Rev. 4).
>                 I am told that these chips are difficult to obtain
>	         but I had no problem finding either.  Note that if you 
>	         choose to upgrade the custom chips you MUST upgrade BOTH
>	         of these chips for this to work.
>	3.)  If you have 3.1 ROMs then no custom chip upgrades should be 
>	     necessary and static column RAM should work fine.
>Now for my question.  I am about to install the A3640 in my A3000 
>w/2.04 ROMs and WB2.1.  As I understand it, in addition to the hardware, 
>a certain 68040.library is also necessary.  I have searched high and low 
>but have not been able to locate such a library.  This box spends most 
>(99%+) of its time running NetBSD so if not having this library simply 
>means a performance hit on the AmigaOS side then that's fine.  If, on the 
>other hand, it means I cannot run AmigaOS (and thus cannot boot NetBSD) 
>then where do I get this library?
>Also, could someone please verify the assertions in item 2 above.  I 
>believe this to be correct but have heard unconfirmed info stating that 
>static column RAM would not work with 2.04 ROM even with the chip upgrades.
>Many thanks in advance,
>   Garth.
Geof Abruzzi                                        You were born, 
Penn State University, Abington-Ogontz Campus       and so you are free.
Woodland Computer Center Coordinator                So happy birthday.       (215)881-7460              	- Laurie Anderson